Remove all quotas of assigned endpoints
<Info icon="fa-light fa-lock" className="permission-callout">
<div className="permission-callout__header"><span className="permission-callout__title"><span className="permission-callout__label">Required permissions</span> <span className="fern-docs-badge small blue subtle rounded-full permission-callout__beta">Beta</span></span> <span className="permission-callout__learn-more">[Learn more](/developers/api-guidelines/permissions#how-permissions-work)</span></div>
`ServiceProfile.Quota` + `Remove`
<div className="permission-callout__roles"><span className="permission-callout__roles-label">Roles:</span> <Badge intent="info">Administrator</Badge> <Badge intent="info">User</Badge></div>
</Info>
Remove all quotas of endpoints which are assigned to this profile. Notice that `apply_data_quota` and/or
`apply_sms_quota` have to be patched to false before, otherwise the endpoints will get blocked
for having no quota left.
This call will also return successfully if no endpoint is assigned or no quotas are set.
Authentication
AuthorizationBearer
An auth_token should be provided to authenticate a session.
To obtain an auth_token, see the /api/v1/authenticate POST request.
Path parameters
profile_id
The Numeric ID of a Service Profile
quota_type
The type of service of the quota, can be data or sms
Allowed values:
Response
Successfully deleted the quota of all (0 or more) assigned endpoints.
Errors
403
Forbidden Error
404
Not Found Error